import React from 'react'
import { Column } from '../BoardColumn/boardColumn.types'
import { Task } from '../TaskCard/taskCard.types'

export interface SearchHeaderProps {
  hide?: boolean;
  searchHeaderStyles?: React.CSSProperties;
  searchHeaderClassName?: string;
  upperButtons?: React.ReactNode;
  hideInput?: boolean;
  inputSearchStyles?: React.CSSProperties;
  inputSearchClassName?: string;
  inputPlaceholder?: string;
  upperRightButtons?: React.ReactNode;
  showNewButton?: boolean;
  newButtonOnClick?: () => void;
  newButtonStyles?: React.CSSProperties;
  newButtonClassName?: string;
  newButtonText?: string;
  newButtonIcon?: React.ReactNode;
}

export interface I18n {
  t: (key: string, options?: any) => string;
}

export interface KanbanBoardProps {
  columns?: Column[],
  tasks?: Task[],
  i18n?: I18n,
  searchHeader?: SearchHeaderProps,
}
