import { UniqueIdentifier } from '@dnd-kit/core'
import { ColumnId } from '../../constants/defaults'
import React from 'react'

export interface Task {
  id: UniqueIdentifier;
  columnId: ColumnId;
  content: string;
}

export interface TaskCardProps {
  task: Task;
  isOverlay?: boolean;
  renderHeader?: (task: Task) => React.ReactElement;
  renderContent?: (task: Task) => React.ReactElement;
}

export type TaskType = 'Task';

export interface TaskDragData {
  type: TaskType;
  task: Task;
}
