import { createStore } from 'react-simple-hook-store'

interface IState {
  title: string;
  theme: string;
  usuarioPermisos: object | null;
  valueEasyMDE: string;
}

interface IActions {
  setTitle: (newState: string) => void;
  setTheme: (newState: string) => void;
  setUsuarioPermisos: (newState: object | null) => void;
  setValueForEasyMDE: (newState: string) => void;
}

export const { useStore, store } = createStore<IState, IActions>(
  {
    title: '',
    theme: 'light',
    usuarioPermisos: null,
    valueEasyMDE: ''
  },
  {
    setTitle: (store, newState) => {
      store.setState({
        title: newState
      })
    },
    setTheme: (store, newState) => {
      store.setState({
        theme: newState
      })
    },
    setUsuarioPermisos: (store, newState) => {
      store.setState({
        usuarioPermisos: newState
      })
    },
    setValueForEasyMDE: (store, newState) => {
      store.setState({
        valueEasyMDE: newState
      })
    }
  }
)
