import CodePlayground from '@/components/CodePlayground'
import React, { useState } from 'react'
import { KanbanBoard } from 'v-kanban'

const initialCode =
`//import { KanbanBoard } from 'v-kanban'

const columns = [
  { id: 1, title: 'To Do', items: [{ id: 1, content: 'Task 1' }, { id: 2, content: 'Task 2' }] },
  { id: 2, title: 'In Progress', items: [{ id: 3, content: 'Task 3' }] },
  { id: 3, title: 'Done', items: [{ id: 4, content: 'Task 4' }] }
]

const KanbanBoardExample = () => {
  return (
    <KanbanBoard
      // columns={columns}
    />
  )
}

render(<KanbanBoardExample />)
`

const KanbanBoardPage = () => {
  const [code, setCode] = useState(initialCode)

  const scope = {
    React,
    useState,
    KanbanBoard
  }

  return (
    <div className='rounded-lg bg-white p-4 dark:!bg-[#222222]'>
      <CodePlayground code={code} onChange={(newCode) => { setCode(newCode) }} scope={scope} />
    </div>
  )
}

export default KanbanBoardPage
