import React from 'react'
import { SandpackProvider, SandpackLayout, SandpackCodeEditor, SandpackPreview } from '@codesandbox/sandpack-react'

const tabComponentCode = `
  import React, { useState } from 'react';
  import { Tabs, TabsContent, TabsList, TabsTrigger } from 'via-ui/tab';
`

const files = {
  '/App.js': {
    code: `

           const TabsExample = () => {
             const [tab, setTab] = useState('data');
             return (
               <>
                 <Tabs activeValue={tab} onChange={setTab}>
                   <TabsList>
                     <TabsTrigger value="data">Datos del Evento</TabsTrigger>
                     <TabsTrigger value="docs">Documentos del Evento</TabsTrigger>
                   </TabsList>

                   <TabsContent value="data">
                     tabs data
                   </TabsContent>

                   <TabsContent value="docs">
                     tabs docs
                   </TabsContent>
                 </Tabs>
               </>
             );
           };

           export default TabsExample;`
  },
  '/node_modules/via-ui/tab/index.js': {
    hidden: true,
    code: tabComponentCode
  }
}

const TestPage = () => {
  console.log('tabComponentCode', tabComponentCode)
  return (
    <SandpackProvider template="react" files={files}>
      <SandpackLayout>
        <SandpackCodeEditor />
        <SandpackPreview />
      </SandpackLayout>
    </SandpackProvider>
  )
}

export default TestPage
